/*
 * 
 * Created on Jul 25, 2005
 * 
 * György Süveges
 * Etixpert Kft.
 * Copyright(c) 2005
 * 
 */
package com.etixpert.evolution.gui.servlets.pageactions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.etixpert.evolution.gui.servlets.AboHelper;

/**
 * @author Suveges Gyorgy
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class abochange_quantity extends orderchange_quantity {

    /**
     * 
     */
    public abochange_quantity() {
        super();
        
    }
    
    protected void handle(HttpServletRequest request, HttpServletResponse response) throws Exception {
        String prefix = AboHelper.getPrefix(request);
        error = prefix + "abo_error";
        details = prefix + "abo_details";
        currentID = prefix + "CURRENT_ABO_ID";
        PageActionHandler.changeBooleanValues(request, (java.util.Map) request.getSession().getAttribute(details), "subscription");
        super.handle(request, response);
        
    }

}
